# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.saml.ResponseData

Packages that use ResponseData
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml
Package for SAML data connector configuration.
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl
Plug-in component interface implementations used when querying a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl
Utility support classes used when querying a SAML attribute authority.

## Uses of ResponseData in net.shibboleth.idp.attribute.resolver.dc.saml

Methods in net.shibboleth.idp.attribute.resolver.dc.saml that return ResponseData
Modifier and Type
Method
Description
`ResponseData`
ExecutableQuery.`execute(SOAPClient soapClient)`
Executes the query and returns the results.

## Uses of ResponseData in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return ResponseData
Modifier and Type
Method
Description
`ResponseData`
ExecutableQueryBuilder.StandardExecutableQuery.`execute(SOAPClient soapClient)`
Executes the query and returns the results.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type ResponseData
Modifier and Type
Method
Description
`private Collection<IdPAttribute>`
BasicResponseMappingStrategy.`filterAssertionResults(List<IdPAttribute> assertionResults, String assertionIssuerID, ProfileRequestContext profileContext, ResponseData responseData)`
Filter the decoded attributes from an Assertion.
`Map<String,IdPAttribute>`
BasicResponseMappingStrategy.`map(ResponseData responseData)`
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.
`private void`
BasicResponseMappingStrategy.`populateFilterContext(AttributeFilterContext filterContext, Map<String,IdPAttribute> unfilteredAttributes, String assertionIssuer, ResponseData responseData)`
Populate the `AttributeFilterContext` for processing.
`private Collection<IdPAttribute>`
BasicResponseMappingStrategy.`processAssertionFiltering(Assertion assertion, List<IdPAttribute> assertionResults, String assertionIssuerID, ProfileRequestContext profileContext, ResponseData responseData)`
Process filtering the attributes of an Assertion.
`protected void`
SAMLDataConnector.`processResponse(ResponseData responseData)`
Process the SAML response message.
`private SAMLMetadataContext`
BasicResponseMappingStrategy.`resolveIssuerMetadataContext(ResponseData responseData, String assertionIssuer)`
Resolve the `SAMLMetadataContext` for the assertion issuer.
`private SAMLPeerEntityContext`
BasicResponseMappingStrategy.`resolvePeerEntityContext(ResponseData responseData)`
Resolve the response issuer's `SAMLPeerEntityContext`.
`private String`
BasicResponseMappingStrategy.`resolveSelfEntityID(ResponseData responseData)`
Resolve the self entityID used for the original attribute query.

## Uses of ResponseData in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with parameters of type ResponseData
Modifier and Type
Method
Description
`List<DecryptionConfiguration>`
CriteriaDecryptionConfigurationLookup.`apply(ResponseData responseData)`

## Uses of ResponseData in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl with type parameters of type ResponseData
Modifier and Type
Field
Description
`private Function<ResponseData,List<DecryptionConfiguration>>`
DecryptionProcessor.`decryptionConfigurationLookupStrategy`
Strategy used to lookup a per-response `DecryptionConfiguration` list.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl that return types with arguments of type ResponseData
Modifier and Type
Method
Description
`Function<ResponseData,List<DecryptionConfiguration>>`
DecryptionProcessor.`getDecryptionConfigurationLookupStrategy()`
Get the strategy used to look up a per-response `DecryptionConfiguration` list.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl with parameters of type ResponseData
Modifier and Type
Method
Description
`Decrypter`
DecryptionProcessor.`buildDecrypter(ResponseData responseData)`
Build the `Decrypter` instance to be used for decryption operations.
`void`
SubjectMatchProcessor.`process(ResponseData responseData)`
Match the response Assertions' Subject NameIDs to the one requested in the outgoing query.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl with type arguments of type ResponseData
Modifier and Type
Method
Description
`void`
DecryptionProcessor.`setDecryptionConfigurationLookupStrategy(Function<ResponseData,List<DecryptionConfiguration>> strategy)`
Set the strategy used to look up a per-response `DecryptionConfiguration` list.